%define name pgworksheet
%define version 1.8.1
%define release %mkrel 2

Summary: A simple GUI frontend to PostgreSQL
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: pgworksheet-16.png
Source2: pgworksheet-32.png
Source3: pgworksheet-48.png
License: GPL
Group: Databases
Url: http://pgworksheet.projects.postgresql.org/index.html
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: pyPgSQL
Requires: pygtk2.0
BuildRequires: python-devel

%description
PgWorksheet is a simple GUI frontend to PostgreSQL for executing SQL queries
and psql commands without using the psql command line tool.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root %buildroot

%find_lang %name

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
mkdir -p %buildroot%_menudir

install -m 644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot%_liconsdir/%name.png

cat > %buildroot%_menudir/%name <<EOF
?package(%name):\
    needs="X11"\
    section="Applications/Databases"\
    title="PGworksheet"\
    longtitle="GUI frontend to PostgreSQL"\
    command="%{_bindir}/%{name}"\
    icon="%{name}.png"\
    xdg="true"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README
%_bindir/%name
%_prefix/lib/python*/site-packages/*
%dir %_datadir/pixmaps/pgworksheet
%_datadir/pixmaps/pgworksheet.png
%_datadir/pixmaps/pgworksheet/*
%_datadir/applications/pgworksheet.desktop
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.8.1-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 20:28:08 (54191)
- xdg menu

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 20:22:18 (54190)
Import pgworksheet

* Sun Feb 12 2006 Olivier Thauvin <nanardon@mandriva.org> 1.8.1-1mdk
- 1.8.1

* Sat Nov 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.7-3mdk
- Fix BuildRequires

* Sat May 07 2005 Olivier Thauvin <nanardon@mandriva.org> 1.7-2mdk
- Fix requires

* Sat May 07 2005 Olivier Thauvin <nanardon@mandriva.org> 1.7-1mdk
- first mandriva spec

